Bug 250891 - SELinux is preventing /usr/sbin/brctl (brctl_t) "getattr" to /sys/class/net/virbr0/bridge/forward_delay (sysfs_t).
SELinux is preventing /usr/sbin/brctl (brctl_t) "getattr" to /sys/class/net/v...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-04 12:19 EDT by Bjørn Erik Halvorsen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 13:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bjørn Erik Halvorsen 2007-08-04 12:19:31 EDT
Description of problem:
SELinux denied access requested by /usr/sbin/brctl. It is not expected that this
access is required by /usr/sbin/brctl and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Source Context:  system_u:system_r:rpcd_tTarget
Context:  system_u:object_r:sysctl_fs_tTarget Objects:  None [ dir ]Affected RPM
Packages:  nfs-utils-1.0.12-4.fc7 [application]Policy
RPM:  selinux-policy-2.6.4-29.fc7Selinux Enabled:  TruePolicy Type:  targetedMLS
Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  plugins.catchall_fileHost
Name:  veronika.localdomainPlatform:  Linux veronika.localdomain 2.6.22.1-33.fc7
#1 SMP Mon Jul 23 16:59:15 EDT 2007 x86_64 x86_64Alert Count:  2First Seen:  Wed
01 Aug 2007 10:41:05 AM CESTLast Seen:  Wed 01 Aug 2007 10:41:05 AM CESTLocal
ID:  addc1835-5132-4dff-80f6-727a0e1c16c6Line Numbers:  Raw Audit Messages :avc:
denied { search } for comm="rpc.statd" egid=0 euid=0 exe="/sbin/rpc.statd"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=12737
scontext=system_u:system_r:rpcd_t:s0 sgid=0 subj=system_u:system_r:rpcd_t:s0
suid=0 tclass=dir tcontext=system_u:object_r:sysctl_fs_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-08-06 10:03:33 EDT
Policy 30 should fix this problem.selinux-policy-2.6.4-30
Comment 2 Daniel Walsh 2007-09-12 13:08:28 EDT
Moving modified bugs to closed

Note You need to log in before you can comment on or make changes to this bug.